/* 
 *  Copyright (c) 2008-2018 Texas Instruments Incorporated
 *  This program and the accompanying materials are made available under the
 *  terms of the Eclipse Public License v1.0 and Eclipse Distribution License
 *  v. 1.0 which accompanies this distribution. The Eclipse Public License is
 *  available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
 *  Distribution License is available at
 *  http://www.eclipse.org/org/documents/edl-v10.php.
 *
 *  Contributors:
 *      Texas Instruments - initial implementation
 * */
/*
 *  ======== Core-label.c ========
 */

#include <xdc/runtime/Text.h>
#include <xdc/runtime/Types.h>

#include "package/internal/Core.xdc.h"

/*
 *  ======== Core_assignLabel ========
 */
Void Core_assignLabel(Types_Label *lab, Text_CordAddr iname, Bool named)
{
    String ns;

    lab->named = named;

    /* 3.55 generated config C files are not going to call this function if
     * named==FALSE. The first clause is still here for an older config file
     * calling a newer runtime. Once we can break that compatibility
     * requirement, that clause can be removed, together with the third
     * argument.
     */
    if (named == FALSE) {
        ns = Text_nameUnknown;
    }
    else if (iname == (Text_CordAddr)NULL) {
        ns = Text_nameEmpty;
    }
    else {
        ns = Text_cordText(iname);
        if (ns == (String)NULL) {
            ns = Text_nameStatic;
        }
    }

    lab->iname = ns;
}
/*
 *  @(#) xdc.runtime; 2, 1, 0,0; 5-8-2019 15:48:08; /db/ztree/library/trees/xdc/xdc-G16/src/packages/
 */

